Index: code/branches/physics_merge/visual_studio/vc8/base.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/base.vsprops	(revision 2440)
+++ code/branches/physics_merge/visual_studio/vc8/base.vsprops	(revision 2442)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(RootDir)src\bullet&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI"
 		WarningLevel="3"
Index: code/branches/physics_merge/visual_studio/vc8/bullet.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/bullet.vsprops	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/bullet.vsprops	(revision 2442)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="bullet"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalIncludeDirectories=""
+		TreatWChar_tAsBuiltInType="false"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/physics_merge/visual_studio/vc8/bullet_collision.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/bullet_collision.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/bullet_collision.vcproj	(revision 2442)
@@ -0,0 +1,980 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="bullet_collision"
+	ProjectGUID="{BA753941-F455-43A2-925C-7F3E02F6A995}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PrecompiledHeaderThrough="OgreBulletPrecompiled.h"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<Filter
+				Name="BroadphaseCollision"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btAxisSweep3.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btBroadphaseProxy.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDbvt.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDbvtBroadphase.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDispatcher.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btMultiSapBroadphase.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btOverlappingPairCache.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btQuantizedBvh.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btSimpleBroadphase.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="CollisionDispatch"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btActivatingCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btBoxBoxCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btBoxBoxDetector.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionDispatcher.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionObject.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionWorld.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCompoundCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexConcaveCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexConvexAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexPlaneCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btDefaultCollisionConfiguration.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btEmptyCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btGhostObject.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btManifoldResult.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSimulationIslandManager.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereBoxCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereSphereCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereTriangleCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btUnionFind.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\SphereTriangleDetector.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="CollisionShapes"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btBoxShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btBvhTriangleMeshShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCapsuleShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCollisionShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCompoundShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConcaveShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConeShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexHullShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexInternalShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexPointCloudShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexTriangleMeshShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCylinderShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btEmptyShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btHeightfieldTerrainShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMinkowskiSumShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMultimaterialTriangleMeshShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMultiSphereShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btOptimizedBvh.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btPolyhedralConvexShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btScaledBvhTriangleMeshShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btShapeHull.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btSphereShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btStaticPlaneShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btStridingMeshInterface.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTetrahedronShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleBuffer.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleCallback.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleIndexVertexArray.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleIndexVertexMaterialArray.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleMesh.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleMeshShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btUniformScalingShape.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Gimpact"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btContactProcessing.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGenericPoolAllocator.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactBvh.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactCollisionAlgorithm.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactQuantizedBvh.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btTriangleShapeEx.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_box_set.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_contact.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_memory.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_tri_collision.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="NarrowPhaseCollision"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btContinuousConvexCollision.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btConvexCast.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkConvexCast.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkEpa2.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkEpaPenetrationDepthSolver.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkPairDetector.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btMinkowskiPenetrationDepthSolver.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btPersistentManifold.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btRaycastCallback.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btSubSimplexConvexCast.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btVoronoiSimplexSolver.cpp"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\bullet\btBulletCollisionCommon.h"
+				>
+			</File>
+			<Filter
+				Name="BroadphaseCollision"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btAxisSweep3.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btBroadphaseInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btBroadphaseProxy.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDbvt.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDbvtBroadphase.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btDispatcher.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btMultiSapBroadphase.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btOverlappingPairCache.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btOverlappingPairCallback.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btQuantizedBvh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\BroadphaseCollision\btSimpleBroadphase.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="CollisionDispatch"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btActivatingCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btBoxBoxCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btBoxBoxDetector.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionConfiguration.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionCreateFunc.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionDispatcher.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionObject.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCollisionWorld.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btCompoundCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexConcaveCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexConvexAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btConvexPlaneCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btDefaultCollisionConfiguration.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btEmptyCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btGhostObject.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btManifoldResult.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSimulationIslandManager.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereBoxCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereSphereCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btSphereTriangleCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\btUnionFind.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionDispatch\SphereTriangleDetector.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="CollisionShapes"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btBoxShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btBvhTriangleMeshShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCapsuleShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCollisionMargin.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCollisionShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCompoundShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConcaveShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConeShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexHullShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexInternalShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexPointCloudShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btConvexTriangleMeshShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btCylinderShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btEmptyShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btHeightfieldTerrainShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMaterial.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMinkowskiSumShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMultimaterialTriangleMeshShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btMultiSphereShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btOptimizedBvh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btPolyhedralConvexShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btScaledBvhTriangleMeshShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btShapeHull.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btSphereShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btStaticPlaneShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btStridingMeshInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTetrahedronShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleBuffer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleCallback.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleIndexVertexArray.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleIndexVertexMaterialArray.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleMesh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleMeshShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btTriangleShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\CollisionShapes\btUniformScalingShape.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Gimpact"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btBoxCollision.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btClipPolygon.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btContactProcessing.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGenericPoolAllocator.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGeometryOperations.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactBvh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactCollisionAlgorithm.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactMassUtil.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactQuantizedBvh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btGImpactShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btQuantization.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\btTriangleShapeEx.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_array.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_basic_geometry_operations.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_bitset.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_box_collision.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_box_set.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_clip_polygon.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_contact.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_geom_types.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_geometry.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_hash_table.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_linear_math.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_math.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_memory.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_radixsort.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\GIMPACT\gim_tri_collision.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="NarrowPhaseCollision"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btContinuousConvexCollision.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btConvexCast.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btConvexPenetrationDepthSolver.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btDiscreteCollisionDetectorInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkConvexCast.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkEpa2.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkEpaPenetrationDepthSolver.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btGjkPairDetector.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btManifoldPoint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btMinkowskiPenetrationDepthSolver.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btPersistentManifold.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btPointCollector.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btRaycastCallback.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btSimplexSolverInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btSubSimplexConvexCast.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletCollision\NarrowPhaseCollision\btVoronoiSimplexSolver.h"
+					>
+				</File>
+			</Filter>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/bullet_dynamics.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/bullet_dynamics.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/bullet_dynamics.vcproj	(revision 2442)
@@ -0,0 +1,344 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="bullet_dynamics"
+	ProjectGUID="{41481057-47FD-4BEF-853B-7EF5F975F05E}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PrecompiledHeaderThrough="OgreBulletPrecompiled.h"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<Filter
+				Name="ConstraintSolver"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btConeTwistConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btContactConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btGeneric6DofConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btHingeConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btPoint2PointConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSequentialImpulseConstraintSolver.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSliderConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSolve2LinearConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btTypedConstraint.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Dynamics"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btContinuousDynamicsWorld.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btDiscreteDynamicsWorld.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btRigidBody.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btSimpleDynamicsWorld.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\Bullet-C-API.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Vehicle"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Vehicle\btRaycastVehicle.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Vehicle\btWheelInfo.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Character"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Character\btKinematicCharacterController.cpp"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\bullet\btBulletDynamicsCommon.h"
+				>
+			</File>
+			<Filter
+				Name="ConstraintSolver"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btConeTwistConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btConstraintSolver.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btContactConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btContactSolverInfo.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btGeneric6DofConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btHingeConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btJacobianEntry.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btPoint2PointConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSequentialImpulseConstraintSolver.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSliderConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSolve2LinearConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSolverBody.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btSolverConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\ConstraintSolver\btTypedConstraint.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Dynamics"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btContinuousDynamicsWorld.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btDiscreteDynamicsWorld.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btDynamicsWorld.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btRigidBody.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Dynamics\btSimpleDynamicsWorld.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Vehicle"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Vehicle\btRaycastVehicle.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Vehicle\btVehicleRaycaster.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Vehicle\btWheelInfo.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Character"
+				>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Character\btCharacterControllerInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\bullet\BulletDynamics\Character\btKinematicCharacterController.h"
+					>
+				</File>
+			</Filter>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/bullet_linearmath.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/bullet_linearmath.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/bullet_linearmath.vcproj	(revision 2442)
@@ -0,0 +1,248 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="bullet_linearmath"
+	ProjectGUID="{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PrecompiledHeaderThrough="OgreBulletPrecompiled.h"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAlignedAllocator.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btConvexHull.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btGeometryUtil.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuickprof.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAabbUtil2.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAlignedAllocator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAlignedObjectArray.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btConvexHull.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btDefaultMotionState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btGeometryUtil.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btHashMap.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btIDebugDraw.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMatrix3x3.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMinMax.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMotionState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btPoolAllocator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuadWord.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuaternion.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuickprof.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btRandom.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btScalar.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btStackAlloc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btTransform.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btTransformUtil.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btVector3.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/bullet_softbody.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/bullet_softbody.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/bullet_softbody.vcproj	(revision 2442)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="bullet_softbody"
+	ProjectGUID="{09E86264-CA02-4A60-98EA-61BB3F460160}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PrecompiledHeaderThrough="OgreBulletPrecompiled.h"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\bullet.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftBody.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftBodyConcaveCollisionAlgorithm.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftBodyHelpers.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftBodyRigidBodyCollisionConfiguration.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftRigidCollisionAlgorithm.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftRigidDynamicsWorld.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\BulletSoftBody\btSoftSoftCollisionAlgorithm.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/directories.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/directories.vsprops	(revision 2440)
+++ code/branches/physics_merge/visual_studio/vc8/directories.vsprops	(revision 2442)
@@ -13,5 +13,5 @@
 	<UserMacro
 		Name="LibDir"
-		Value="$(RootDir)\dependencies\$(SolutionName)\"
+		Value="$(RootDir)\..\lib_dist\vc8\dependencies\$(SolutionName)\"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vcproj	(revision 2442)
@@ -0,0 +1,387 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogrebullet_collisions"
+	ProjectGUID="{77D52DF7-23DD-4739-A4F4-D9BD6C1EA9AD}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\ogrebullet_collisions.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\ogrebullet_collisions.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsObject.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsObjectState.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsPrecompiled.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsRay.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsShape.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsWorld.cpp"
+				>
+			</File>
+			<Filter
+				Name="Utils"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Utils\OgreBulletCollisionsMeshToShapeConverter.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Shapes"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsBoxShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCapsuleShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCompoundShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsConeShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsConvexHullShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCylinderShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsGImpactShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsMinkowskiSumShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsMultiSphereShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsSphereShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsStaticPlaneShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsTriangleShape.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsTrimeshShape.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Debug"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugContact.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugDrawer.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugLines.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugShape.cpp"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisions.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsObject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsObjectState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsPreRequisites.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsRay.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsShape.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Collisions\OgreBulletCollisionsWorld.h"
+				>
+			</File>
+			<Filter
+				Name="Utils"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Utils\OgreBulletCollisionsMeshToShapeConverter.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Utils\OgreBulletConverter.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Debug"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugContact.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugDrawer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugLines.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Debug\OgreBulletCollisionsDebugShape.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Shapes"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsBoxShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCapsuleShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCompoundShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsConeShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsConvexHullShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsCylinderShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsGImpactShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsMinkowskiSumShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsMultiSphereShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsSphereShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsStaticPlaneShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsTerrainShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsTriangleShape.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Collisions\Shapes\OgreBulletCollisionsTrimeshShape.h"
+					>
+				</File>
+			</Filter>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vsprops	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/ogrebullet_collisions.vsprops	(revision 2442)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogrebullet_collisions"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/Zm200"
+		AdditionalIncludeDirectories=""
+		PreprocessorDefinitions="_PRECOMP"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OgreBulletCollisions.h"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vcproj	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vcproj	(revision 2442)
@@ -0,0 +1,267 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogrebullet_dynamics"
+	ProjectGUID="{40511677-D792-42A1-AD87-DEE31D887F67}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\debug.vsprops;.\ogrebullet_dynamics.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets=".\release.vsprops;.\ogrebullet_dynamics.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsConstraint.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsObjectState.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsPrecompiled.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsRigidBody.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsWorld.cpp"
+				>
+			</File>
+			<Filter
+				Name="Prefab"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Prefab\OgreBulletDynamicsRagDoll.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Constraints"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamics6DofConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsConeTwistConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsHingeConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsPoint2pointConstraint.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsRaycastVehicle.cpp"
+					>
+				</File>
+			</Filter>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamics.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsConstraint.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsObjectState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsPreRequisites.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsRigidBody.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ogrebullet\Dynamics\OgreBulletDynamicsWorld.h"
+				>
+			</File>
+			<Filter
+				Name="Prefab"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Prefab\OgreBulletDynamicsRagDoll.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Constraints"
+				>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamics6DofConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsConeTwistConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsHingeConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsPoint2pointConstraint.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\ogrebullet\Dynamics\Constraints\OgreBulletDynamicsRaycastVehicle.h"
+					>
+				</File>
+			</Filter>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vsprops	(revision 2442)
+++ code/branches/physics_merge/visual_studio/vc8/ogrebullet_dynamics.vsprops	(revision 2442)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ogrebullet_dynamics"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/Zm200"
+		AdditionalIncludeDirectories=""
+		PreprocessorDefinitions="_PRECOMP"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OgreBulletDynamics.h"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/physics_merge/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/orxonox.vcproj	(revision 2440)
+++ code/branches/physics_merge/visual_studio/vc8/orxonox.vcproj	(revision 2442)
@@ -289,4 +289,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\MobileEntity.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.cc"
 						>
@@ -309,9 +313,9 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.cc"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\SpawnPoint.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\StaticEntity.cc"
 						>
 					</File>
@@ -621,4 +625,24 @@
 					</File>
 				</Filter>
+				<Filter
+					Name="collisionShapes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.cc"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -949,4 +973,8 @@
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\MobileEntity.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.h"
 						>
@@ -969,9 +997,9 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.h"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\SpawnPoint.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\StaticEntity.h"
 						>
 					</File>
@@ -1181,4 +1209,24 @@
 					</Filter>
 				</Filter>
+				<Filter
+					Name="collisionShapes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\CompoundCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\PlaneCollisionShape.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\collisionshapes\SphereCollisionShape.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -1187,4 +1235,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\tools\BillboardSet.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\BulletConversions.h"
 					>
 				</File>
Index: code/branches/physics_merge/visual_studio/vc8/orxonox.vsprops
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/orxonox.vsprops	(revision 2440)
+++ code/branches/physics_merge/visual_studio/vc8/orxonox.vsprops	(revision 2442)
@@ -9,4 +9,5 @@
 		Name="VCCLCompilerTool"
 		AdditionalOptions="/MP2 /Zm200"
+		AdditionalIncludeDirectories="$(RootDir)src\orxonox"
 		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;ORXONOX_ENABLE_PCH;LUA_BUILD_AS_DLL"
 		UsePrecompiledHeader="2"
Index: code/branches/physics_merge/visual_studio/vc8/orxonox_vc8.sln
===================================================================
--- code/branches/physics_merge/visual_studio/vc8/orxonox_vc8.sln	(revision 2440)
+++ code/branches/physics_merge/visual_studio/vc8/orxonox_vc8.sln	(revision 2442)
@@ -8,112 +8,114 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5} = {C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}
+		{41481057-47FD-4BEF-853B-7EF5F975F05E} = {41481057-47FD-4BEF-853B-7EF5F975F05E}
+		{BA753941-F455-43A2-925C-7F3E02F6A995} = {BA753941-F455-43A2-925C-7F3E02F6A995}
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "cpptcl", "cpptcl.vcproj", "{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tinyxml", "tinyxml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen_orxonox", "toluagen_orxonox.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
+		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen", "toluagen.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
+		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
 		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "cpptcl", "cpptcl.vcproj", "{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tinyxml", "tinyxml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen_orxonox", "toluagen_orxonox.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
-		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen", "toluagen.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {8F5B7ED0-D380-4B4F-A744-3A568718176C}
-		{C6692661-9160-49E6-B109-A155F9485402} = {C6692661-9160-49E6-B109-A155F9485402}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 		{EA969DF2-70AF-46E6-BBE2-E03112E04CB8} = {EA969DF2-70AF-46E6-BBE2-E03112E04CB8}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
-	ProjectSection(WebsiteProperties) = preProject
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.Debug = "False"
-	EndProjectSection
-	ProjectSection(ProjectDependencies) = postProject
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 	EndProjectSection
 EndProject
@@ -137,4 +139,22 @@
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua_static", "lua_static.vcproj", "{8F5B7ED0-D380-4B4F-A744-3A568718176C}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "bullet_collision", "bullet_collision.vcproj", "{BA753941-F455-43A2-925C-7F3E02F6A995}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "bullet_dynamics", "bullet_dynamics.vcproj", "{41481057-47FD-4BEF-853B-7EF5F975F05E}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "bullet_linearmath", "bullet_linearmath.vcproj", "{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}"
 	ProjectSection(WebsiteProperties) = preProject
 		Debug.AspNetCompiler.Debug = "True"
@@ -148,4 +168,8 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.ActiveCfg = Debug|Win32
 		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.Build.0 = Debug|Win32
@@ -177,15 +201,9 @@
 		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
 		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
@@ -208,4 +226,16 @@
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.ActiveCfg = Release|Win32
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C}.Release|Win32.Build.0 = Release|Win32
+		{BA753941-F455-43A2-925C-7F3E02F6A995}.Debug|Win32.ActiveCfg = Debug|Win32
+		{BA753941-F455-43A2-925C-7F3E02F6A995}.Debug|Win32.Build.0 = Debug|Win32
+		{BA753941-F455-43A2-925C-7F3E02F6A995}.Release|Win32.ActiveCfg = Release|Win32
+		{BA753941-F455-43A2-925C-7F3E02F6A995}.Release|Win32.Build.0 = Release|Win32
+		{41481057-47FD-4BEF-853B-7EF5F975F05E}.Debug|Win32.ActiveCfg = Debug|Win32
+		{41481057-47FD-4BEF-853B-7EF5F975F05E}.Debug|Win32.Build.0 = Debug|Win32
+		{41481057-47FD-4BEF-853B-7EF5F975F05E}.Release|Win32.ActiveCfg = Release|Win32
+		{41481057-47FD-4BEF-853B-7EF5F975F05E}.Release|Win32.Build.0 = Release|Win32
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}.Debug|Win32.ActiveCfg = Debug|Win32
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}.Debug|Win32.Build.0 = Debug|Win32
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}.Release|Win32.ActiveCfg = Release|Win32
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -223,4 +253,7 @@
 		{C6692661-9160-49E6-B109-A155F9485402} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 		{8F5B7ED0-D380-4B4F-A744-3A568718176C} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
+		{BA753941-F455-43A2-925C-7F3E02F6A995} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
+		{41481057-47FD-4BEF-853B-7EF5F975F05E} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
+		{C8659D22-3CB7-41C9-A1BC-B40DB70A31A5} = {B9D56701-B4DB-43F8-9920-241CA418C1CE}
 	EndGlobalSection
 EndGlobal
